# Role: nginx_exporter

## Description

Installs and configures nginx_exporter for Prometheus.

https://github.com/nginx/nginx-prometheus-exporter

## Usage

Using in a playbook:

```yaml
- name: Play
  hosts:
    - all
  roles:
    - samuliy.ansible.nginx_exporter
  vars:
    ...
```

### Vars

`nginx_exporter_environment_file`:

Path to the service environment file.

`nginx_exporter_environment_args`:

Args to set into the environment file.

`nginx_exporter_environment_args_key`:

Key to look for in the environment file.

`nginx_exporter_service_name`:

Service name.
